## haskell-double-conversion 2.0.2.0

=== double-conversion/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)
project(double-conversion)

# pick a version #
set(double-conversion_VERSION 2.0.1)
set(double-conversion_SOVERSION_MAJOR 1)
set(double-conversion_SOVERSION_MINOR 0)
set(double-conversion_SOVERSION_PATCH 0)
set(double-conversion_SOVERSION
  ${double-conversion_SOVERSION_MAJOR}.${double-conversion_SOVERSION_MINOR}.${double-conversion_SOVERSION_PATCH})

# set paths for install -- empty initially
# Offer the user the choice of overriding the installation directories
set(INSTALL_BIN_DIR CACHE PATH "Installation directory for libraries")
set(INSTALL_LIB_DIR CACHE PATH "Installation directory for libraries")
set(INSTALL_INCLUDE_DIR CACHE PATH "Installation directory for include")
# set suffix for CMake files used for packaging
if(WIN32 AND NOT CYGWIN)
  set(INSTALL_CMAKE_DIR CMake)
else()
  set(INSTALL_CMAKE_DIR lib/CMake/double-conversion)
endif()

# Make relative paths absolute (needed later)
foreach(p LIB BIN INCLUDE CMAKE)
  set(var INSTALL_${p}_DIR)
  if(NOT IS_ABSOLUTE "${${var}}")
    set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
  endif()
endforeach()

#
# set up include dirs
include_directories("${PROJECT_SOURCE_DIR}/src"
  "${PROJECT_BINARY_DIR}"
  )

# Add src subdirectory
add_subdirectory(src)

#
# set up testing if requested
option(BUILD_TESTING "Build test programs" OFF)
if(BUILD_TESTING)
  enable_testing()
  include(CTest)
  add_subdirectory(test)
endif()

#
# mention the library target as export library
export(TARGETS double-conversion
  FILE "${PROJECT_BINARY_DIR}/double-conversionLibraryDepends.cmake")

#
# set this build as an importable package
export(PACKAGE double-conversion)

#
# make a cmake file -- in this case, all that needs defining
# is double-conversion_INCLUDE_DIRS
configure_file(double-conversionBuildTreeSettings.cmake.in
  "${PROJECT_BINARY_DIR}/double-conversionBuildTreeSettings.cmake"
  @ONLY)

#
# determine where include is relative to the CMake dir in
# in installed tree
file(RELATIVE_PATH CONF_REL_INCLUDE_DIR "${INSTALL_CMAKE_DIR}"
  "${INSTALL_INCLUDE_DIR}")

#
# sets up config to be used by CMake find_package
configure_file(double-conversionConfig.cmake.in
  "${PROJECT_BINARY_DIR}/double-conversionConfig.cmake"
  @ONLY)
#
# Export version # checked by find_package
configure_file(double-conversionConfigVersion.cmake.in
  "${PROJECT_BINARY_DIR}/double-conversionConfigVersion.cmake"
  @ONLY)
#
# install config files for find_package
install(FILES
  "${PROJECT_BINARY_DIR}/double-conversionConfig.cmake"
  "${PROJECT_BINARY_DIR}/double-conversionConfigVersion.cmake"
  DESTINATION "${INSTALL_CMAKE_DIR}" COMPONENT dev)


#
# generates install cmake files to find libraries in installation.
install(EXPORT double-conversionLibraryDepends DESTINATION
  "${INSTALL_CMAKE_DIR}" COMPONENT dev)

=== double-conversion/SConstruct ===
# vim:ft=python
import os

double_conversion_sources = ['src/' + x for x in SConscript('src/SConscript')]
double_conversion_test_sources = ['test/cctest/' + x for x in SConscript('test/cctest/SConscript')]

DESTDIR = ARGUMENTS.get('DESTDIR', '')
prefix = ARGUMENTS.get('prefix', '/usr/local')
lib = ARGUMENTS.get('libsuffix', 'lib')
libdir = os.path.join(DESTDIR + prefix, lib)

env = Environment(CPPPATH='#/src', LIBS=['m', 'stdc++'],
    CXXFLAGS=ARGUMENTS.get('CXXFLAGS', ''))
debug = ARGUMENTS.get('debug', 0)
optimize = ARGUMENTS.get('optimize', 0)
env.Replace(CXX = ARGUMENTS.get('CXX', 'g++'))

# for shared lib, requires scons 2.3.0
env['SHLIBVERSION'] = '1.0.0'

CCFLAGS = []
if int(debug):
  CCFLAGS.append(ARGUMENTS.get('CXXFLAGS', '-g -Wall -Wshadow -Werror'))
if int(optimize):
  CCFLAGS.append(ARGUMENTS.get('CXXFLAGS', '-O3'))

env.Append(CCFLAGS = " ".join(CCFLAGS))

double_conversion_shared_objects = [
    env.SharedObject(src) for src in double_conversion_sources]
double_conversion_static_objects = [
    env.StaticObject(src) for src in double_conversion_sources]

library_name = 'double-conversion'

static_lib = env.StaticLibrary(library_name, double_conversion_static_objects)
static_lib_pic = env.StaticLibrary(library_name + '_pic', double_conversion_shared_objects)
shared_lib = env.SharedLibrary(library_name, double_conversion_shared_objects)

env.Program('run_tests', double_conversion_test_sources, LIBS=[static_lib])

env.InstallVersionedLib(libdir, shared_lib)
env.Install(libdir, static_lib)
env.Install(libdir, static_lib_pic)

env.Alias('install', libdir)

=== double-conversion/src/CMakeLists.txt ===

set(headers
  bignum.h
  cached-powers.h
  diy-fp.h
  double-conversion.h
  fast-dtoa.h
  fixed-dtoa.h
  ieee.h
  strtod.h
  utils.h
  )

add_library(double-conversion
bignum.cc
bignum-dtoa.cc
cached-powers.cc
diy-fp.cc
double-conversion.cc
fast-dtoa.cc
fixed-dtoa.cc
strtod.cc
${headers}
)

#
# associates the list of headers with the library
# for the purposes of installation/import into other projects
set_target_properties(double-conversion
    PROPERTIES PUBLIC_HEADER "${headers}")

if (BUILD_SHARED_LIBS)
  set_target_properties(double-conversion
    PROPERTIES VERSION ${double-conversion_SOVERSION}
               SOVERSION ${double-conversion_SOVERSION_MAJOR})
endif()

#
# install command to set up library install
# given the above PUBLIC_HEADER property set, this
# pulls along all the header files with the library.
install(TARGETS double-conversion
  EXPORT double-conversionLibraryDepends
  RUNTIME DESTINATION "${INSTALL_BIN_DIR}" COMPONENT bin
  LIBRARY DESTINATION "${INSTALL_LIB_DIR}/lib" COMPONENT shlib
  ARCHIVE DESTINATION "${INSTALL_LIB_DIR}/lib" COMPONENT lib
  PUBLIC_HEADER DESTINATION "${INSTALL_INCLUDE_DIR}/include/double-conversion"
  COMPONENT dev)

## haskell-double-conversion 2.0.1.0+ds1

=== debian/changelog ===
haskell-double-conversion (2.0.1.0+ds1-4) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:33:27 -0400

haskell-double-conversion (2.0.1.0+ds1-3) experimental; urgency=medium

  * Temporarily build-depend on ghc 8.

 -- Clint Adams <clint@debian.org>  Sun, 16 Oct 2016 15:16:37 -0400

haskell-double-conversion (2.0.1.0+ds1-2) unstable; urgency=medium

  * Add libdouble-conversion-dev to libghc-double-conversion-dev's Depends.

 -- James McCoy <jamessan@debian.org>  Sun, 01 May 2016 16:22:04 -0400

haskell-double-conversion (2.0.1.0+ds1-1) unstable; urgency=low

  * Initial release

 -- James McCoy <jamessan@debian.org>  Sun, 01 May 2016 14:09:29 -0400

=== debian/control ===
Source: haskell-double-conversion
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 James McCoy <jamessan@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libdouble-conversion-dev,
 libghc-test-framework-dev,
 libghc-test-framework-quickcheck2-dev,
 libghc-text-dev (>= 0.11.0.8),
 libghc-text-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-text-doc,
Standards-Version: 3.9.8
Homepage: https://github.com/bos/double-conversion
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-double-conversion
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
X-Description: fast conversion between double precision floating point and text
 A library that performs fast, accurate conversion between double
 precision floating point and text.
 .
 This library is implemented as bindings to the C++
 double-conversion library written by Florian Loitsch at Google.
 .
 The 'Text' versions of these functions are about 30 times faster
 than the default 'show' implementation for the 'Double' type.
 .
 The 'ByteString' versions are /slower/ than the 'Text' versions;
 roughly half the speed.  (This seems to be due to the cost of
 allocating 'ByteString' values via malloc.)
 .
 As a final note, be aware that the bytestring-show package is
 about 50% slower than simply using 'show'.

Package: libghc-double-conversion-dev
Architecture: any
Depends:
 libdouble-conversion-dev,
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-double-conversion-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-double-conversion-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

## haskell-double-conversion 2.0.2.0

=== debian/changelog ===
haskell-double-conversion (2.0.2.0-1build1) artful; urgency=medium

  * No-change rebuild for new GHC ABIs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 21 Jun 2017 05:34:45 +0000

haskell-double-conversion (2.0.2.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Sat, 17 Jun 2017 14:12:14 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: haskell-double-conversion
-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
 Priority: extra
@@ -11,7 +12,12 @@
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libdouble-conversion-dev,
+ libghc-text-dev (>= 0.11.0.8),
+ libghc-text-prof,
+ libstdc++-dev,
+ libghc-hunit-dev,
  libghc-test-framework-dev,
+ libghc-test-framework-hunit-dev,
  libghc-test-framework-quickcheck2-dev,
  libghc-text-dev (>= 0.11.0.8),
  libghc-text-prof,

## haskell-double-conversion 2.0.2.0+ds1

=== debian/changelog ===
haskell-double-conversion (2.0.2.0+ds1-1) unstable; urgency=medium

  * Upload again with correct version number.
    This was breaking `dht make-all`.

 -- Sean Whitton <spwhitton@spwhitton.name>  Mon, 04 Sep 2017 19:55:09 -0700

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: haskell-double-conversion
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  James McCoy <jamessan@debian.org>,
 Priority: extra

=== debian/rules ===
#!/usr/bin/make -f

DEB_CABAL_PACKAGE = double-conversion
DEB_DEFAULT_COMPILER = ghc
DEB_ENABLE_TESTS = yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts="repacksuffix=+ds1" \
http://hackage.haskell.org/package/double-conversion/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-double-conversion 2.0.4.1+ds1

=== debian/changelog ===
haskell-double-conversion (2.0.4.1+ds1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.1
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 19 Jul 2022 17:42:43 +0300

haskell-double-conversion (2.0.2.0+ds1-5) unstable; urgency=medium

  * Sourceful upload for GHC 8.8

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 14 Jun 2020 12:41:08 +0300

haskell-double-conversion (2.0.2.0+ds1-4) unstable; urgency=medium

  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:29 +0300

haskell-double-conversion (2.0.2.0+ds1-3) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 30 Sep 2018 21:07:08 +0300

haskell-double-conversion (2.0.2.0+ds1-2) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1

  [ James McCoy ]
  * Remove myself from Uploaders

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 20:04:48 -0400

=== debian/control ===
--- 
+++ 
@@ -1,32 +1,26 @@
 Source: haskell-double-conversion
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
-Uploaders:
- James McCoy <jamessan@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
+Rules-Requires-Root: no
 Build-Depends:
  cdbs,
- debhelper (>= 9),
- ghc (>= 8),
+ debhelper (>= 10),
+ ghc (>= 8.4.3),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libdouble-conversion-dev,
- libghc-text-dev (>= 0.11.0.8),
- libghc-text-prof,
  libstdc++-dev,
  libghc-hunit-dev,
  libghc-test-framework-dev,
  libghc-test-framework-hunit-dev,
  libghc-test-framework-quickcheck2-dev,
- libghc-text-dev (>= 0.11.0.8),
- libghc-text-prof,
 Build-Depends-Indep:
  ghc-doc,
- libghc-text-doc,
-Standards-Version: 3.9.8
-Homepage: https://github.com/bos/double-conversion
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/haskell-double-conversion
-Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git
+Standards-Version: 4.6.1
+Homepage: https://github.com/Haskell-mouse/double-conversion
+Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-double-conversion
+Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-double-conversion]
 X-Description: fast conversion between double precision floating point and text
  A library that performs fast, accurate conversion between double
  precision floating point and text.

## haskell-double-conversion 2.0.4.2+ds1

=== debian/changelog ===
haskell-double-conversion (2.0.4.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * Declare compliance with Debian policy 4.6.2

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 04 Sep 2023 09:58:59 +0300

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 10),
- ghc (>= 8.4.3),
+ ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
  libdouble-conversion-dev,
@@ -17,8 +17,8 @@
  libghc-test-framework-quickcheck2-dev,
 Build-Depends-Indep:
  ghc-doc,
-Standards-Version: 4.6.1
-Homepage: https://github.com/Haskell-mouse/double-conversion
+Standards-Version: 4.6.2
+Homepage: https://github.com/haskell/double-conversion
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-double-conversion
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-double-conversion]
 X-Description: fast conversion between double precision floating point and text

=== debian/rules ===
--- 
+++ 
@@ -4,5 +4,7 @@
 DEB_DEFAULT_COMPILER = ghc
 DEB_ENABLE_TESTS = yes
 
+DEB_SETUP_GHC_CONFIGURE_ARGS := -f-embedded_double_conversion
+
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/hlibrary.mk

=== debian/watch ===
version=3
opts=repacksuffix=+ds1,dversionmangle=s/\+ds\d+$// \
https://hackage.haskell.org/package/double-conversion/distro-monitor .*-([0-9\.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## haskell-double-conversion 2.0.5.0+ds1

=== debian/changelog ===
haskell-double-conversion (2.0.5.0+ds1-2) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Ilias Tsitsimpis ]
  * Sourceful upload for GHC 9.10

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 06 Jan 2026 10:57:41 +0200

haskell-double-conversion (2.0.5.0+ds1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 03 Oct 2024 15:34:53 +0300

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Section: haskell
 Rules-Requires-Root: no
 Build-Depends:
- cdbs,
- debhelper (>= 10),
+ dh-sequence-haskell,
+ debhelper-compat (= 13),
  ghc (>= 9.4),
  ghc-prof,
  haskell-devscripts (>= 0.13),
@@ -17,7 +17,7 @@
  libghc-test-framework-quickcheck2-dev,
 Build-Depends-Indep:
  ghc-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/haskell/double-conversion
 Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-double-conversion
 Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-double-conversion]

=== debian/rules ===
#!/usr/bin/make -f

export DEB_ENABLE_TESTS = yes

export DEB_SETUP_GHC_CONFIGURE_ARGS := -f-embedded_double_conversion

%:
	dh $@
